Mendix 5 Server failed to start locally

0
This issue has been reported before on this forum, no remedy suggested though: https://forum.mendix.com/questions/5838/Mendix-5-Server-failed-to-start I have it with all my applications, whether they are upgraded fromV4 or newly built in Mx5, also irregardless of it is v5.5 or 5.6. The log file m2eelog.txt is always empty. These warnings can be found in the buildcorecompilelog.txt, don't know if that might be the cause: compile: [javac] Compiling 100 source files to F:\AllesHERA\Mendix\OiO-main\deployment\run\bin [javac] Note: F:\AllesHERA\Mendix\OiO-main\javasource\com\mendix\core\Core.java uses unchecked or unsafe operations. [javac] Note: Recompile with -Xlint:unchecked for details. build: [bnd] # addAll 'deployment/run/bnd.bnd' with , [bnd] Warnings [bnd] Split package, multiple jars provide the same package:com/mendix/core [bnd] Use Import/Export Package directive -split-package:=(merge-first|merge-last|error|first) to get rid of this warning [bnd] Package found in [Jar:mxruntime, Jar:run] [bnd] Class path [Jar:biz.aQute.bnd.annotation-2.1.0, Jar:org.scala-lang.scala-library-2.10.2, Jar:json, Jar:logging, Jar:m2ee-api, Jar:mxruntime, Jar:integration, Jar:osgi.cmpn-4.2.0, Jar:webui, Jar:javax.servlet-3.0.0, Jar:axiom-api-1.2.12, Jar:commons-io-2.3, Jar:commons-lang-2.5, Jar:commons-logging-1.1, Jar:dom4j-1.6.1, Jar:guice-2.0, Jar:openid4java-0.9.8, Jar:poi-3.8-20120326, Jar:poi-ooxml-3.6-20091214, Jar:poi-ooxml-schemas-3.6-20091214, Jar:replication, Jar:xalan-2.7.1, Jar:xbean, Jar:run] [bnd] # project (project.jar) 179
asked
1 answers
0

Did you have both java jdk (1.6 and 1.7) installed? Mx4 uses java 6 while 5 uses java 7. And I would suggest using the latest 5 version.

Regards,

Ronald

answered